import { Align } from '@react-thermal-printer/printer';
import { ReactElement } from 'react';
import { ExtendHTMLProps } from '../types/HTMLProps';
import { Printable } from '../types/Printable';
import { ImageData } from '../utils/readImageData';
declare type Props = ExtendHTMLProps<'img', {
    align?: Align;
    src: string;
    /**
     * Image data reader
     * @default read data from <img /> and <canvas />
     */
    reader?: (elem: ReactElement<Props>) => Promise<ImageData>;
}>;
export declare const Image: Printable<Props>;
export {};
